package com.ruoyi.ibs.dashboard.service;

import com.ruoyi.ibs.dashboard.domain.dto.NotificationDTO;
import com.ruoyi.ibs.dashboard.domain.vo.NotificationVO;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/4/1
 **/
public interface NotificationService {

    List<NotificationVO> getNotificationList();

    String sendNotification(NotificationDTO notificationDTO);

    String updateReadStatus(String id);

    String sendNotification(String toUserName, String content);


}
